# BasicClassFactory< B, T > Class Template Reference

A templated class factory. More...

`#include <BasicClassFactory.h>`

Inheritance diagram for BasicClassFactory< B, T >:

[legend]
Collaboration diagram for BasicClassFactory< B, T >:

[legend]
List of all members.

## Public Member Functions

virtual B * | create ()
virtual void | destroy (B *classNode)

## Detailed Description

### template<class B, class T>
class BasicClassFactory< B, T >

A templated class factory.

B is the base class and T the derived class. The base class may be void, but otherwise B must be a base class of T.

## Member Function Documentation

template<class B, class T>
virtual B* BasicClassFactory< B, T >::create | ( |  | ) | `[inline, virtual]`

Returns:
  A pointer to a newly allocated instance of class T.

Implements BasicClassFactoryBase< B >.

template<class B, class T>
virtual void BasicClassFactory< B, T >::destroy | ( | B * | classNode | ) | `[inline, virtual]`

Parameters:

  | classNode | A pointer to the instance of class T to deallocate.

Implements BasicClassFactoryBase< B >.

The documentation for this class was generated from the following file:

- BasicClassFactory.h